%define module curtsies

Name:           python-%{module}
Version:        0.2.11
Release:        %mkrel 1
Summary:        Curses-like terminal wrapper, with colored strings
Group:          Development/Python
License:        MIT
URL:            https://github.com/thomasballinger/curtsies
Source0:        https://pypi.io/packages/source/c/curtsies/%{module}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Curtsies is curses-like terminal wrapper, can be to annotate portions
of strings with terminal colors and formatting.

Most terminals will display text in color if you use ANSI escape codes
- curtsies makes rendering such text to the terminal easy. Curtsies
assumes use of an VT-100 compatible terminal: unlike curses, it has no
compatibility layer for other types of terminals.

%package -n     python3-%{module}
Summary:        Curses-like terminal wrapper, with colored strings
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
Curtsies is curses-like terminal wrapper, can be to annotate portions
of strings with terminal colors and formatting.

Most terminals will display text in color if you use ANSI escape codes
- curtsies makes rendering such text to the terminal easy. Curtsies
assumes use of an VT-100 compatible terminal: unlike curses, it has no
compatibility layer for other types of terminals.

This is the Python 3 version of %{module}.

%prep
%setup -q -n %{module}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc LICENSE readme.md
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{module}-*-py*.egg-info

%files -n python3-%{module}
%doc LICENSE readme.md
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-*-py*.egg-info


%changelog
* Sat Oct 29 2016 akien <akien> 0.2.11-1.mga6
+ Revision: 1063992
- Version 0.2.11

* Wed Sep 14 2016 akien <akien> 0.2.9-1.mga6
+ Revision: 1052591
- Version 0.2.9
- Autoreq handles Requires just fine, do not add them manually

* Fri Jan 15 2016 akien <akien> 0.2.6-1.mga6
+ Revision: 923236
- Version 0.2.6

* Fri Oct 09 2015 daviddavid <daviddavid> 0.1.19-2.mga6
+ Revision: 888581
- rebuild for python 3.5
- use new python macros

* Mon Jun 22 2015 akien <akien> 0.1.19-1.mga6
+ Revision: 839526
- import python-curtsies 0.1.x, needed by bpython

